﻿// CommandLineArgument.cs
// Copyright (c) 2009 Aleksei Vassiljev

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace OracleTools.Core.CommandLine
{
    public abstract class CommandLineArgument
    {
        public string Name { get; set; }
        public string ShortName { get; set; }
        public string HelpText { get; set; }

        public bool Exists { get; internal set; }

        public CommandLineArgument(string psName, string psShortName)
        {
            this.Name = psName;
            this.ShortName = psShortName;
            this.Exists = false;
        }

        public CommandLineArgument(string psName, string psShortName, string psHelpText)
            : this(psName, psShortName)
        {
            this.HelpText = psHelpText;
        }

        
    }
}
